CppUnit project page | FAQ

Functions
FloatingPoint.h File Reference
`#include <cppunit/Portability.h>`
`#include <cmath>`
Include dependency graph for FloatingPoint.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
CPPUNIT_NS_BEGIN bool | floatingPointIsUnordered (double x)
int | floatingPointIsFinite (double x)
| Tests if a floating-point is finite.

## Function Documentation

## ◆ floatingPointIsFinite()

int floatingPointIsFinite | ( | double | x | ) |
| inline

Tests if a floating-point is finite.

Returns
  `true` if x is neither a NaN, nor +inf, nor -inf, `false` otherwise.

## ◆ floatingPointIsUnordered()

CPPUNIT_NS_BEGIN bool floatingPointIsUnordered | ( | double | x | ) |
| inline

| Send comments to: CppUnit Developers